Skip to main content
GET
/
v1
/
webhooks
/
List all webhook endpoints
curl --request GET \
  --url https://prod.truv.com/v1/webhooks/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
import requests

url = "https://prod.truv.com/v1/webhooks/"

headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};

fetch('https://prod.truv.com/v1/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "results": [
    {
      "id": "48427a36d43c4d5aa6324bc06c692456",
      "name": "<string>",
      "webhook_url": "http://example.com/",
      "events": [
        "task-status-updated",
        "order-status-updated"
      ],
      "env_type": "dev",
      "enabled": true,
      "created_at": "2022-05-04T11:30:00Z",
      "updated_at": "2022-05-04T12:00:00Z"
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}
{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}
{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Query Parameters

enabled
boolean

Filter by active (true) or disabled (false) webhooks.

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

count
integer
required
results
object[]
required
next
string<uri> | null
previous
string<uri> | null